QGIS Application - Bug report #13584
Vertices snap to other when "Enable topological editing" is active
2015-10-13 02:53 AM - Piotr Kania

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 21626
Description

Hi! I'm om win 7 sp1 x64, QGIS code revision - 43c046b

| edit postgis layers - while dragging vertices with "Node tool" often appear situation visible in screenshot - it doesn't happen when | edit in
qgis-dev-2.11 code revision - f3c7d85, all versions bigger have such behaviour. My layers are ok - | checked in another gis software. On
screenshot everyone can see that highlighted line (which was edited with "Node tool") isn't a part of those long line, which is error. Those
situations happen also while | edit polygon layer.

Hi, I noticed that if | turn off "Enable topological editing" everything is ok - something wrong is with topological editing (QGIS code revision
- 43c046b) - here (https://www.dropbox.com/s/gepxgonkaoz5ith/shp.zip?dl=0) is shapefile with those errors ("lines" is correct and

"line_error" is after edition)

Screenshot:
https://www.dropbox.com/s/mva8fvolf3n6lwy/screenshot.png?di=0

https://www.dropbox.com/s/gepxgonkaoz5ith/shp.zip?dl=0

History

#1 - 2015-10-13 07:02 AM - Saber Razmjooei
- Category set to Digitising

#2 - 2015-10-14 11:07 AM - Saber Razmjooei
- Status changed from Open to Feedback

Is it not the same ticket as #133937?

#3 - 2015-10-14 10:20 PM - Piotr Kania

Yes, sorry - | will close #13393

#4 - 2015-12-26 07:07 AM - Giovanni Manghi

From the description is very difficult to understand what is/was the reported issue. A screencast would be much more better to help us try replicate.

From a quick test on the latest master | don't see anything wrong with snapping/topological editing.

Please leave further feedback, thanks.
#5 - 2016-01-13 10:19 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

2025-04-27 22



